### File

`packages/eui/packages/components-next/src/lib/components/eui-card/components/eui-card-header/eui-card-header.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-card-header`
templateUrl | `./eui-card-header.component.html`

### Index

###### Properties
Public uiStateService
###### Methods
Public onToggle Public onToggleHeader
###### Inputs
avatarDerscription avatarUrl collapseLabel expandLabel hasBottomExpander hasFullTitle hasHeaderClickToggle iconClass iconDescription isHeaderBodyOnly
###### HostBindings
class

### Constructor

`constructor(uiStateService: UiStateService)`
Parameters :
Name | Type | Optional
uiStateService | `UiStateService` | No

### Inputs

avatarDerscription
Default value : `'eUI card header avatar'`

avatarUrl
Type : `string`

collapseLabel
Default value : `'collapse'`

expandLabel
Default value : `'expand'`

hasBottomExpander
Default value : `false`

hasFullTitle
Default value : `false`

hasHeaderClickToggle
Default value : `true`

iconClass
Type : `string`

iconDescription
Default value : `'eUI card header icon'`

isHeaderBodyOnly
Default value : `false`

### HostBindings

class
Default value : `'eui-card-header'`

### Methods

Public onToggle
`onToggle(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

Public onToggleHeader
`onToggleHeader(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

### Properties

Public uiStateService
Type : `UiStateService`

# result-matching ""

# No results matching ""